
Efl_Object *_efl_net_dialer_unix_efl_object_constructor(Eo *obj, Efl_Net_Dialer_Unix_Data *pd);


void _efl_net_dialer_unix_efl_object_invalidate(Eo *obj, Efl_Net_Dialer_Unix_Data *pd);


void _efl_net_dialer_unix_efl_object_destructor(Eo *obj, Efl_Net_Dialer_Unix_Data *pd);


Eina_Error _efl_net_dialer_unix_efl_net_dialer_dial(Eo *obj, Efl_Net_Dialer_Unix_Data *pd, const char *address);


void _efl_net_dialer_unix_efl_net_dialer_address_dial_set(Eo *obj, Efl_Net_Dialer_Unix_Data *pd, const char *address);


const char *_efl_net_dialer_unix_efl_net_dialer_address_dial_get(const Eo *obj, Efl_Net_Dialer_Unix_Data *pd);


void _efl_net_dialer_unix_efl_net_dialer_connected_set(Eo *obj, Efl_Net_Dialer_Unix_Data *pd, Eina_Bool connected);


Eina_Bool _efl_net_dialer_unix_efl_net_dialer_connected_get(const Eo *obj, Efl_Net_Dialer_Unix_Data *pd);


void _efl_net_dialer_unix_efl_net_dialer_timeout_dial_set(Eo *obj, Efl_Net_Dialer_Unix_Data *pd, double seconds);


double _efl_net_dialer_unix_efl_net_dialer_timeout_dial_get(const Eo *obj, Efl_Net_Dialer_Unix_Data *pd);


Eina_Error _efl_net_dialer_unix_efl_io_closer_close(Eo *obj, Efl_Net_Dialer_Unix_Data *pd);


static Eina_Bool
_efl_net_dialer_unix_class_initializer(Efl_Class *klass)
{
   const Efl_Object_Ops *opsp = NULL;

   const Efl_Object_Property_Reflection_Ops *ropsp = NULL;

#ifndef EFL_NET_DIALER_UNIX_EXTRA_OPS
#define EFL_NET_DIALER_UNIX_EXTRA_OPS
#endif

   EFL_OPS_DEFINE(ops,
      EFL_OBJECT_OP_FUNC(efl_constructor, _efl_net_dialer_unix_efl_object_constructor),
      EFL_OBJECT_OP_FUNC(efl_invalidate, _efl_net_dialer_unix_efl_object_invalidate),
      EFL_OBJECT_OP_FUNC(efl_destructor, _efl_net_dialer_unix_efl_object_destructor),
      EFL_OBJECT_OP_FUNC(efl_net_dialer_dial, _efl_net_dialer_unix_efl_net_dialer_dial),
      EFL_OBJECT_OP_FUNC(efl_net_dialer_address_dial_set, _efl_net_dialer_unix_efl_net_dialer_address_dial_set),
      EFL_OBJECT_OP_FUNC(efl_net_dialer_address_dial_get, _efl_net_dialer_unix_efl_net_dialer_address_dial_get),
      EFL_OBJECT_OP_FUNC(efl_net_dialer_connected_set, _efl_net_dialer_unix_efl_net_dialer_connected_set),
      EFL_OBJECT_OP_FUNC(efl_net_dialer_connected_get, _efl_net_dialer_unix_efl_net_dialer_connected_get),
      EFL_OBJECT_OP_FUNC(efl_net_dialer_timeout_dial_set, _efl_net_dialer_unix_efl_net_dialer_timeout_dial_set),
      EFL_OBJECT_OP_FUNC(efl_net_dialer_timeout_dial_get, _efl_net_dialer_unix_efl_net_dialer_timeout_dial_get),
      EFL_OBJECT_OP_FUNC(efl_io_closer_close, _efl_net_dialer_unix_efl_io_closer_close),
      EFL_NET_DIALER_UNIX_EXTRA_OPS
   );
   opsp = &ops;

   return efl_class_functions_set(klass, opsp, ropsp);
}

static const Efl_Class_Description _efl_net_dialer_unix_class_desc = {
   EO_VERSION,
   "Efl.Net.Dialer_Unix",
   EFL_CLASS_TYPE_REGULAR,
   sizeof(Efl_Net_Dialer_Unix_Data),
   _efl_net_dialer_unix_class_initializer,
   NULL,
   NULL
};

EFL_DEFINE_CLASS(efl_net_dialer_unix_class_get, &_efl_net_dialer_unix_class_desc, EFL_NET_SOCKET_UNIX_CLASS, EFL_NET_DIALER_INTERFACE, NULL);
